diff --git a/target/linux/ramips/base-files/etc/board.d/01_leds b/target/linux/ramips/base-files/etc/board.d/01_leds
index bb990c9..7bd52e1 100755
--- a/target/linux/ramips/base-files/etc/board.d/01_leds
+++ b/target/linux/ramips/base-files/etc/board.d/01_leds
@@ -256,8 +256,8 @@ case $board in
 	wt3020)
 		ucidef_set_led_default "power" "power" "nexx:blue:power" "0"
 		;;
-	xiaomi-miwifi-mini)
-		ucidef_set_led_default "power" "power" "xiaomi:red:status" "1"
+	miwifi-mini)
+		ucidef_set_led_default "power" "power" "miwifi-mini:red:status" "1"
 		;;
 	y1 |\
 	y1s)
diff --git a/target/linux/ramips/base-files/etc/board.d/02_network b/target/linux/ramips/base-files/etc/board.d/02_network
index 42447d4..44aebcf 100755
--- a/target/linux/ramips/base-files/etc/board.d/02_network
+++ b/target/linux/ramips/base-files/etc/board.d/02_network
@@ -144,7 +144,7 @@ ramips_setup_interfaces()
 	wsr-600 | \
 	wsr-1166 | \
 	wt1520 | \
-	xiaomi-miwifi-mini |\
+	miwifi-mini |\
 	y1)
 		ucidef_set_interfaces_lan_wan "eth0.1" "eth0.2"
 		ucidef_add_switch "switch0" "1" "1"
diff --git a/target/linux/ramips/base-files/etc/diag.sh b/target/linux/ramips/base-files/etc/diag.sh
index 019bbbb..cb3d851 100644
--- a/target/linux/ramips/base-files/etc/diag.sh
+++ b/target/linux/ramips/base-files/etc/diag.sh
@@ -233,8 +233,8 @@ get_status_led() {
 	xdxrn502j)
 		status_led="xdxrn502j:green:power"
 		;;
-	xiaomi-mini)
-		status_led="xiaomi:red:status"
+	miwifi-mini)
+		status_led="miwifi-mini:red:status"
 		;;
 	f7c027)
 		status_led="belkin:orange:status"
diff --git a/target/linux/ramips/base-files/lib/ramips.sh b/target/linux/ramips/base-files/lib/ramips.sh
index 436ed09..fa90243 100755
--- a/target/linux/ramips/base-files/lib/ramips.sh
+++ b/target/linux/ramips/base-files/lib/ramips.sh
@@ -395,7 +395,7 @@ ramips_board_detect() {
 		name="ncs601w"
 		;;
 	*"Xiaomi MiWiFi Mini")
-		name="xiaomi-miwifi-mini"
+		name="miwifi-mini"
 		;;
 	*"Sercomm NA930")
 		name="na930"
diff --git a/target/linux/ramips/base-files/lib/upgrade/platform.sh b/target/linux/ramips/base-files/lib/upgrade/platform.sh
index 1021123..f46155f 100755
--- a/target/linux/ramips/base-files/lib/upgrade/platform.sh
+++ b/target/linux/ramips/base-files/lib/upgrade/platform.sh
@@ -123,7 +123,7 @@ platform_check_image() {
 	wt3020 |\
 	x5 |\
 	x8 |\
-	xiaomi-miwifi-mini |\
+	miwifi-mini |\
 	y1 |\
 	y1s |\
 	zte-q7 |\
diff --git a/target/linux/ramips/dts/MIWIFI-MINI.dts b/target/linux/ramips/dts/MIWIFI-MINI.dts
new file mode 100644
index 0000000..fa9846c
--- /dev/null
+++ b/target/linux/ramips/dts/MIWIFI-MINI.dts
@@ -0,0 +1,150 @@
+/dts-v1/;
+
+/include/ "mt7620a.dtsi"
+
+/ {
+	compatible = "xiaomi,miwifi-mini", "ralink,mt7620a-soc";
+	model = "Xiaomi MiWiFi Mini";
+
+	chosen {
+		bootargs = "console=ttyS0,115200";
+	};
+
+	palmbus@10000000 {
+		gpio0: gpio@600 {
+			status = "okay";
+		};
+
+		gpio1: gpio@638 {
+			status = "okay";
+		};
+
+		gpio2: gpio@660 {
+			status = "okay";
+		};
+
+		spi@b00 {
+			status = "okay";
+
+			m25p80@0 {
+				#address-cells = <1>;
+				#size-cells = <1>;
+				compatible = "w25q128";
+				reg = <0 0>;
+				linux,modalias = "m25p80", "w25q128";
+				spi-max-frequency = <10000000>;
+
+				partition@0 {
+					label = "u-boot";
+					reg = <0x0 0x30000>;
+				};
+
+				partition@30000 {
+					label = "u-boot-env";
+					reg = <0x30000 0x10000>;
+					read-only;
+				};
+
+				factory: partition@40000 {
+					label = "factory";
+					reg = <0x40000 0x10000>;
+					read-only;
+				};
+
+				partition@50000 {
+					label = "firmware";
+					reg = <0x50000 0xf80000>;
+				};
+
+				partition@fd0000 {
+					label = "crash";
+					reg = <0xfd0000 0x10000>;
+				};
+
+				partition@fe0000 {
+					label = "reserved";
+					reg = <0xfe0000 0x10000>;
+					read-only;
+				};
+
+				partition@ff0000 {
+					label = "Bdata";
+					reg = <0xff0000 0x10000>;
+				};
+			};
+		};
+	};
+
+	ehci@101c0000 {
+		status = "okay";
+	};
+
+	ohci@101c1000 {
+		status = "okay";
+	};
+
+	ethernet@10100000 {
+		pinctrl-names = "default";
+		pinctrl-0 = <&ephy_pins>;
+		mtd-mac-address = <&factory 0x4>;
+		ralink,port-map = "llllw";
+	};
+
+	wmac@10180000 {
+		ralink,mtd-eeprom = <&factory 0>;
+	};
+
+	pcie@10140000 {
+		status = "okay";
+
+		pcie-bridge {
+			mt76@0,0 {
+				reg = <0x0000 0 0 0 0>;
+				device_type = "pci";
+				mediatek,mtd-eeprom = <&factory 0x8000>;
+				mediatek,2ghz = <0>;
+			};
+		};
+	};
+
+	pinctrl {
+		state_default: pinctrl0 {
+			gpio {
+				ralink,group = "i2c", "rgmii1";
+				ralink,function = "gpio";
+			};
+		};
+	};
+
+	gpio-leds {
+		compatible = "gpio-leds";
+
+		blue {
+			label = "miwifi-mini:blue:status";
+			gpios = <&gpio1 0 1>;
+		};
+
+		yellow {
+			label = "miwifi-mini:yellow:status";
+			gpios = <&gpio1 2 1>;
+		};
+
+		red {
+			label = "miwifi-mini:red:status";
+			gpios = <&gpio1 5 1>;
+		};
+	};
+
+	gpio-keys-polled {
+		compatible = "gpio-keys-polled";
+		#address-cells = <1>;
+		#size-cells = <0>;
+		poll-interval = <20>;
+
+		reset {
+			label = "reset";
+			gpios = <&gpio1 6 0>;
+			linux,code = <0x198>;
+		};
+	};
+};
diff --git a/target/linux/ramips/dts/XIAOMI-MIWIFI-MINI.dts b/target/linux/ramips/dts/XIAOMI-MIWIFI-MINI.dts
deleted file mode 100644
index c1acab4..0000000
--- a/target/linux/ramips/dts/XIAOMI-MIWIFI-MINI.dts
+++ /dev/null
@@ -1,150 +0,0 @@
-/dts-v1/;
-
-/include/ "mt7620a.dtsi"
-
-/ {
-	compatible = "XIAOMI MIWIFI MINI", "ralink,mt7620a-soc";
-	model = "Xiaomi MiWiFi Mini";
-
-	chosen {
-		bootargs = "console=ttyS0,115200";
-	};
-
-	palmbus@10000000 {
-		gpio0: gpio@600 {
-			status = "okay";
-		};
-
-		gpio1: gpio@638 {
-			status = "okay";
-		};
-
-		gpio2: gpio@660 {
-			status = "okay";
-		};
-
-		spi@b00 {
-			status = "okay";
-
-			m25p80@0 {
-				#address-cells = <1>;
-				#size-cells = <1>;
-				compatible = "w25q128";
-				reg = <0 0>;
-				linux,modalias = "m25p80", "w25q128";
-				spi-max-frequency = <10000000>;
-
-				partition@0 {
-					label = "u-boot";
-					reg = <0x0 0x30000>;
-				};
-
-				partition@30000 {
-					label = "u-boot-env";
-					reg = <0x30000 0x10000>;
-					read-only;
-				};
-
-				factory: partition@40000 {
-					label = "factory";
-					reg = <0x40000 0x10000>;
-					read-only;
-				};
-
-				partition@50000 {
-					label = "firmware";
-					reg = <0x50000 0xf80000>;
-				};
-
-				partition@fd0000 {
-					label = "crash";
-					reg = <0xfd0000 0x10000>;
-				};
-
-				partition@fe0000 {
-					label = "reserved";
-					reg = <0xfe0000 0x10000>;
-					read-only;
-				};
-
-				partition@ff0000 {
-					label = "Bdata";
-					reg = <0xff0000 0x10000>;
-				};
-			};
-		};
-	};
-
-	ehci@101c0000 {
-		status = "okay";
-	};
-
-	ohci@101c1000 {
-		status = "okay";
-	};
-
-	ethernet@10100000 {
-		pinctrl-names = "default";
-		pinctrl-0 = <&ephy_pins>;
-		mtd-mac-address = <&factory 0x4>;
-		ralink,port-map = "llllw";
-	};
-
-	wmac@10180000 {
-		ralink,mtd-eeprom = <&factory 0>;
-	};
-
-	pcie@10140000 {
-		status = "okay";
-
-		pcie-bridge {
-			mt76@0,0 {
-				reg = <0x0000 0 0 0 0>;
-				device_type = "pci";
-				mediatek,mtd-eeprom = <&factory 0x8000>;
-				mediatek,2ghz = <0>;
-			};
-		};
-	};
-
-	pinctrl {
-		state_default: pinctrl0 {
-			gpio {
-				ralink,group = "i2c", "rgmii1";
-				ralink,function = "gpio";
-			};
-		};
-	};
-
-	gpio-leds {
-		compatible = "gpio-leds";
-
-		blue {
-			label = "xiaomi:blue:status";
-			gpios = <&gpio1 0 1>;
-		};
-
-		yellow {
-			label = "xiaomi:yellow:status";
-			gpios = <&gpio1 2 1>;
-		};
-
-		red {
-			label = "xiaomi:red:status";
-			gpios = <&gpio1 5 1>;
-		};
-	};
-
-	gpio-keys-polled {
-		compatible = "gpio-keys-polled";
-		#address-cells = <1>;
-		#size-cells = <0>;
-		poll-interval = <20>;
-
-		reset {
-			label = "reset";
-			gpios = <&gpio1 6 0>;
-			linux,code = <0x198>;
-		};
-	};
-};
diff --git a/target/linux/ramips/image/Makefile b/target/linux/ramips/image/Makefile
index 79a97a5..232742c 100644
--- a/target/linux/ramips/image/Makefile
+++ b/target/linux/ramips/image/Makefile
@@ -878,7 +878,7 @@ Image/Build/Profile/WMR300=$(call BuildFirmware/Default8M/$(1),$(1),wmr-300,WMR3
 Image/Build/Profile/RT-N14U=$(call BuildFirmware/Default8M/$(1),$(1),rt-n14u,RT-N14U)
 Image/Build/Profile/WRTNODE=$(call BuildFirmware/Default16M/$(1),$(1),wrtnode,WRTNODE)
 Image/Build/Profile/WT3020=$(call BuildFirmware/PorayDualSize/$(1),$(1),wt3020,WT3020)
-Image/Build/Profile/XIAOMI-MIWIFI-MINI=$(call BuildFirmware/Default16M/$(1),$(1),xiaomi-miwifi-mini,XIAOMI-MIWIFI-MINI)
+Image/Build/Profile/MIWIFI-MINI=$(call BuildFirmware/Default16M/$(1),$(1),miwifi-mini,MIWIFI-MINI)
 Image/Build/Profile/ZTE-Q7=$(call BuildFirmware/Default8M/$(1),$(1),zte-q7,ZTE-Q7)
 Image/Build/Profile/ZBT-WA05=$(call BuildFirmware/Default8M/$(1),$(1),zbt-wa05,ZBT-WA05)
 Image/Build/Profile/ZBT-WR8305RT=$(call BuildFirmware/Default8M/$(1),$(1),zbt-wr8305rt,ZBT-WR8305RT)
@@ -912,7 +912,7 @@ define Image/Build/Profile/Default
 	$(call Image/Build/Profile/RT-N14U,$(1))
 	$(call Image/Build/Profile/WRTNODE,$(1))
 	$(call Image/Build/Profile/WT3020,$(1))
-	$(call Image/Build/Profile/XIAOMI-MIWIFI-MINI,$(1))
+	$(call Image/Build/Profile/MIWIFI-MINI,$(1))
 	$(call Image/Build/Profile/ZTE-Q7,$(1))
 	$(call Image/Build/Profile/ZBT-WA05,$(1))
 	$(call Image/Build/Profile/ZBT-WR8305RT,$(1))
diff --git a/target/linux/ramips/mt7620/profiles/xiaomi-miwifi-mini.mk b/target/linux/ramips/mt7620/profiles/xiaomi-miwifi-mini.mk
deleted file mode 100644
index 47819b2..0000000
--- a/target/linux/ramips/mt7620/profiles/xiaomi-miwifi-mini.mk
+++ /dev/null
@@ -1,18 +0,0 @@
-#
-# Copyright (C) 2015 OpenWrt.org
-#
-# This is free software, licensed under the GNU General Public License v2.
-# See /LICENSE for more information.
-#
-
-define Profile/XIAOMI-MIWIFI-MINI
- NAME:=Xiaomi MiWiFi Mini
- PACKAGES:=\
-	kmod-usb-core kmod-usb-dwc2 kmod-usb2 kmod-usb-ohci \
-	kmod-mt76
-endef
-
-define Profile/XIAOMI-MIWIFI-MINI/Description
- Support for Xiaomi MiWiFi Mini routers
-endef
-$(eval $(call Profile,XIAOMI-MIWIFI-MINI))
diff --git a/target/linux/ramips/mt7620/profiles/xiaomi.mk b/target/linux/ramips/mt7620/profiles/xiaomi.mk
new file mode 100644
index 0000000..47f6d49
--- /dev/null
+++ b/target/linux/ramips/mt7620/profiles/xiaomi.mk
@@ -0,0 +1,18 @@
+#
+# Copyright (C) 2015 OpenWrt.org
+#
+# This is free software, licensed under the GNU General Public License v2.
+# See /LICENSE for more information.
+#
+
+define Profile/MIWIFI-MINI
+ NAME:=Xiaomi MiWiFi Mini
+ PACKAGES:=\
+	kmod-usb-core kmod-usb-dwc2 kmod-usb2 kmod-usb-ohci \
+	kmod-mt76
+endef
+
+define Profile/MIWIFI-MINI/Description
+ Support for Xiaomi MiWiFi Mini routers
+endef
+$(eval $(call Profile,MIWIFI-MINI))