diff --git a/target/linux/ramips/base-files/etc/board.d/01_leds b/target/linux/ramips/base-files/etc/board.d/01_leds
index 5816e60..a396212 100755
--- a/target/linux/ramips/base-files/etc/board.d/01_leds
+++ b/target/linux/ramips/base-files/etc/board.d/01_leds
@@ -264,6 +264,9 @@ whr-600d)
 wnce2001)
 	set_wifi_led "$board:green:wlan"
 	;;
+wndr3700v5)
+	ucidef_set_led_default "power" "POWER" "$board:green:power" "0"
+	;;
 wt3020)
 	ucidef_set_led_default "power" "power" "$board:blue:power" "0"
 	;;
diff --git a/target/linux/ramips/base-files/etc/board.d/02_network b/target/linux/ramips/base-files/etc/board.d/02_network
index 4b65d36..8c804b2 100755
--- a/target/linux/ramips/base-files/etc/board.d/02_network
+++ b/target/linux/ramips/base-files/etc/board.d/02_network
@@ -81,6 +81,7 @@ ramips_setup_interfaces()
 	whr-300hp2|\
 	whr-600d|\
 	witi|\
+	wndr3700v5|\
 	wsr-1166|\
 	wsr-600|\
 	wt1520|\
diff --git a/target/linux/ramips/base-files/etc/diag.sh b/target/linux/ramips/base-files/etc/diag.sh
index daa7fb1..2f34aff 100644
--- a/target/linux/ramips/base-files/etc/diag.sh
+++ b/target/linux/ramips/base-files/etc/diag.sh
@@ -26,6 +26,7 @@ get_status_led() {
 	nbg-419n|\
 	pwh2004|\
 	wnce2001|\
+	wndr3700v5|\
 	x5|\
 	x8|\
 	xdxrn502j)
diff --git a/target/linux/ramips/base-files/lib/ramips.sh b/target/linux/ramips/base-files/lib/ramips.sh
index 5f1df7b..e67ac8d 100755
--- a/target/linux/ramips/base-files/lib/ramips.sh
+++ b/target/linux/ramips/base-files/lib/ramips.sh
@@ -454,6 +454,9 @@ ramips_board_detect() {
 	*"WNCE2001")
 		name="wnce2001"
 		;;
+	*"WNDR3700v5")
+		name="wndr3700v5"
+		;;
 	*"WR512-3GN-like"*)
 		name="wr512-3gn"
 		;;
diff --git a/target/linux/ramips/base-files/lib/upgrade/platform.sh b/target/linux/ramips/base-files/lib/upgrade/platform.sh
index c329dce..db9d7de 100755
--- a/target/linux/ramips/base-files/lib/upgrade/platform.sh
+++ b/target/linux/ramips/base-files/lib/upgrade/platform.sh
@@ -133,6 +133,7 @@ platform_check_image() {
 	wli-tx4-ag300n|\
 	wmr-300|\
 	wnce2001|\
+	wndr3700v5|\
 	wr512-3gn|\
 	wr6202|\
 	wrtnode|\
diff --git a/target/linux/ramips/dts/WNDR3700V5.dts b/target/linux/ramips/dts/WNDR3700V5.dts
new file mode 100644
index 0000000..508ba86
--- /dev/null
+++ b/target/linux/ramips/dts/WNDR3700V5.dts
@@ -0,0 +1,122 @@
+/dts-v1/;
+
+#include "mt7621.dtsi"
+
+/ {
+	compatible = "mediatek,mt7621-eval-board","ralink,mt7621-soc";
+	model = "Netgear WNDR3700v5";
+
+	memory@0 {
+		device_type = "memory";
+		reg = <0x0 0x8000000>;
+	};
+
+	chosen {
+		bootargs = "console=ttyS0,57600";
+	};
+
+	palmbus@1E000000 {
+		spi@b00 {
+			status = "okay";
+
+			m25p80@0 {
+				#address-cells = <1>;
+				#size-cells = <1>;
+				compatible = "mx25l12805d";
+				reg = <0 0>;
+				linux,modalias = "m25p80", "w25q128";
+				spi-max-frequency = <10000000>;
+
+				partition@0 {
+					label = "u-boot";
+					reg = <0x0 0x30000>;
+				};
+
+				partition@30000 {
+					label = "u-boot-env";
+					reg = <0x30000 0x10000>;
+					read-only;
+				};
+
+				factory: partition@f30000 {
+					label = "factory";
+					reg = <0xf30000 0x10000>;
+					read-only;
+				};
+
+				partition@50000 {
+					label = "firmware";
+					reg = <0x50000 0xfb0000>;
+				};
+			};
+		};
+	};
+
+	pcie@1e140000 {
+		status = "okay";
+
+		pcie0 {
+			mt76@0,0 {
+				reg = <0x0000 0 0 0 0>;
+				device_type = "pci";
+				mediatek,mtd-eeprom = <&factory 0x0004>;
+				mediatek,5ghz = <0>;
+			};
+		};
+
+		pcie2 {
+			mt76@2,0 {
+				reg = <0x1000 0 0 0 0>;
+				device_type = "pci";
+				mediatek,mtd-eeprom = <&factory 0x8004>;
+				mediatek,2ghz = <0>;
+			};
+		};
+	};
+
+	ethernet@1e100000 {
+		mtd-mac-address = <&factory 0x0000000c>;
+	};
+
+	pinctrl {
+		state_default: pinctrl0 {
+			gpio {
+				ralink,group =  "rgmii2", "mdio", "wdt";
+				ralink,function = "gpio";
+			};
+		};
+	};
+
+	gpio-leds {
+		compatible = "gpio-leds";
+
+		power {
+			label = "wndr3700v5:green:power";
+			gpios = <&gpio0 18 0>;
+		};
+	};
+
+	gpio-keys-polled {
+		compatible = "gpio-keys-polled";
+		#address-cells = <1>;
+		#size-cells = <0>;
+		poll-interval = <20>;
+
+		rfkill {
+			label = "rfkill";
+			gpios = <&gpio0 8 0>;
+			linux,code = <0xf7>;
+		};
+	};
+
+	gpio_export {
+		compatible = "gpio-export";
+		#size-cells = <0>;
+
+			usbpower {
+			gpio-export,name = "usbpower";
+			gpio-export,output = <1>;
+			gpios = <&gpio0 10 1>;
+		};
+	};
+};
diff --git a/target/linux/ramips/image/Makefile b/target/linux/ramips/image/Makefile
index 0cfb8fb..a25f025 100644
--- a/target/linux/ramips/image/Makefile
+++ b/target/linux/ramips/image/Makefile
@@ -1058,7 +1058,7 @@ endif
 #
 
 ifeq ($(SUBTARGET),mt7621)
-  TARGET_DEVICES += mt7621 wsr-600 wsr-1166 dir-860l-b1 firewrt pbr-m1 re6500 sap-g3200u3 ubnt-erx witi wf-2881 zbt-wg2626
+  TARGET_DEVICES += mt7621 wsr-600 wsr-1166 dir-860l-b1 firewrt pbr-m1 re6500 sap-g3200u3 ubnt-erx witi wf-2881 wndr3700v5 zbt-wg2626
 endif
 
 define Device/mt7621
@@ -1115,6 +1115,11 @@ define Device/witi
   IMAGE_SIZE := $(ralink_default_fw_size_16M)
 endef
 
+define Device/wndr3700v5
+  DTS := WNDR3700V5
+  IMAGE_SIZE := $(ralink_default_fw_size_16M)
+endef
+
 define Device/zbt-wg2626
   DTS := ZBT-WG2626
   IMAGE_SIZE := $(ralink_default_fw_size_16M)
diff --git a/target/linux/ramips/mt7621/config-4.4 b/target/linux/ramips/mt7621/config-4.4
index 862c8e9..6d93c1d 100644
--- a/target/linux/ramips/mt7621/config-4.4
+++ b/target/linux/ramips/mt7621/config-4.4
@@ -179,7 +179,7 @@ CONFIG_NET_MEDIATEK_SOC=y
 CONFIG_NET_VENDOR_MEDIATEK=y
 CONFIG_NO_GENERIC_PCI_IOPORT_MAP=y
 # CONFIG_NO_IOPORT_MAP is not set
-CONFIG_NR_CPUS=4
+CONFIG_NR_CPUS=2
 CONFIG_OF=y
 CONFIG_OF_ADDRESS=y
 CONFIG_OF_ADDRESS_PCI=y
diff --git a/target/linux/ramips/mt7621/profiles/netgear.mk b/target/linux/ramips/mt7621/profiles/netgear.mk
new file mode 100644
index 0000000..05802a2
--- /dev/null
+++ b/target/linux/ramips/mt7621/profiles/netgear.mk
@@ -0,0 +1,17 @@
+#
+# Copyright (C) 2015 OpenWrt.org
+#
+# This is free software, licensed under the GNU General Public License v2.
+# See /LICENSE for more information.
+#
+
+define Profile/WNDR3700V5
+	NAME:=Netgear WNDR3700v5
+	PACKAGES:=\
+		kmod-usb-core kmod-usb3
+endef
+
+define Profile/WNDR3700V5/Description
+	Package set compatible with the Netgear WNDR3700v5.
+endef
+$(eval $(call Profile,WNDR3700V5))