diff --git a/target/linux/ramips/base-files/etc/board.d/01_leds b/target/linux/ramips/base-files/etc/board.d/01_leds
index e3b8500..3ab5f7f 100755
--- a/target/linux/ramips/base-files/etc/board.d/01_leds
+++ b/target/linux/ramips/base-files/etc/board.d/01_leds
@@ -118,7 +118,8 @@ dir-615-h1)
 	ucidef_set_led_default "status" "Status LED (amber)" "$board:amber:status" "0"
 	set_wifi_led "rt2800pci-phy0::radio"
 	;;
-dir-620-d1)
+dir-620-d1|\
+mzk-ex300np)
 	set_wifi_led "$board:green:wifi"
 	;;
 dir-810l|\
diff --git a/target/linux/ramips/base-files/etc/board.d/02_network b/target/linux/ramips/base-files/etc/board.d/02_network
index 3c958ae..c89b2a2 100755
--- a/target/linux/ramips/base-files/etc/board.d/02_network
+++ b/target/linux/ramips/base-files/etc/board.d/02_network
@@ -162,6 +162,7 @@ ramips_setup_interfaces()
 		;;
 	d105|\
 	hpm|\
+	mzk-ex300np|\
 	na930|\
 	wli-tx4-ag300n|\
 	wrh-300cr)
diff --git a/target/linux/ramips/base-files/etc/diag.sh b/target/linux/ramips/base-files/etc/diag.sh
index bd0ff05..0eda084 100644
--- a/target/linux/ramips/base-files/etc/diag.sh
+++ b/target/linux/ramips/base-files/etc/diag.sh
@@ -154,6 +154,7 @@ get_status_led() {
 	whr-600d)
 		status_led="$board:orange:wifi"
 		;;
+	mzk-ex300np|\
 	rt-n10-plus|\
 	tew-691gr|\
 	tew-692gr|\
diff --git a/target/linux/ramips/base-files/lib/ramips.sh b/target/linux/ramips/base-files/lib/ramips.sh
index 550ec55..e17aa94 100755
--- a/target/linux/ramips/base-files/lib/ramips.sh
+++ b/target/linux/ramips/base-files/lib/ramips.sh
@@ -292,6 +292,9 @@ ramips_board_detect() {
 	*"MZK-DP150N")
 		name="mzk-dp150n"
 		;;
+	*"MZK-EX300NP")
+		name="mzk-ex300np"
+		;;
 	*"MZK-W300NH2"*)
 		name="mzk-w300nh2"
 		;;
diff --git a/target/linux/ramips/base-files/lib/upgrade/platform.sh b/target/linux/ramips/base-files/lib/upgrade/platform.sh
index 73ba6e6..c0ee14e 100755
--- a/target/linux/ramips/base-files/lib/upgrade/platform.sh
+++ b/target/linux/ramips/base-files/lib/upgrade/platform.sh
@@ -88,6 +88,7 @@ platform_check_image() {
 	mt7628|\
 	mzk-750dhp|\
 	mzk-dp150n|\
+	mzk-ex300np|\
 	mzk-w300nh2|\
 	mzk-wdpr|\
 	nbg-419n|\
diff --git a/target/linux/ramips/dts/MZK-EX300NP.dts b/target/linux/ramips/dts/MZK-EX300NP.dts
new file mode 100644
index 0000000..51e87ad
--- /dev/null
+++ b/target/linux/ramips/dts/MZK-EX300NP.dts
@@ -0,0 +1,132 @@
+/dts-v1/;
+
+/include/ "mt7620a.dtsi"
+
+/ {
+	compatible = "ralink,mt7620a-soc";
+	model = "Planex MZK-EX300NP";
+
+	palmbus@10000000 {
+		gpio1: gpio@638 {
+			status = "okay";
+		};
+
+		gpio3: gpio@688 {
+			status = "okay";
+		};
+
+		spi@b00 {
+			status = "okay";
+
+			m25p80@0 {
+				#address-cells = <1>;
+				#size-cells = <1>;
+				compatible = "jedec,spi-nor";
+				reg = <0 0>;
+				linux,modalias = "m25p80", "w25q64";
+				spi-max-frequency = <10000000>;
+
+				partition@0 {
+					label = "u-boot";
+					reg = <0x0 0x30000>;
+					read-only;
+				};
+
+				partition@30000 {
+					label = "u-boot-env";
+					reg = <0x30000 0x10000>;
+					read-only;
+				};
+
+				factory: partition@40000 {
+					label = "factory";
+					reg = <0x40000 0x10000>;
+					read-only;
+				};
+
+				partition@50000 {
+					label = "firmware";
+					reg = <0x50000 0x730000>;
+				};
+
+				partition@780000 {
+					label = "Udata";
+					reg = <0x780000 0x80000>;
+				};
+			};
+		};
+	};
+
+	pinctrl {
+		state_default: pinctrl0 {
+			gpio {
+				ralink,group = "i2c", "spi refclk", "rgmii1", "wled";
+				ralink,function = "gpio";
+			};
+		};
+	};
+
+	ethernet@10100000 {
+		pinctrl-names = "default";
+		pinctrl-0 = <&ephy_pins>;
+		mtd-mac-address = <&factory 0x4>;
+		mediatek,portmap = "llllw";
+	};
+
+	wmac@10180000 {
+		ralink,mtd-eeprom = <&factory 0>;
+	};
+
+	gpio-leds {
+		compatible = "gpio-leds";
+
+		wifi {
+			label = "mzk-ex300np:green:wifi";
+			gpios = <&gpio3 0 0>;
+		};
+
+		wps {
+			label = "mzk-ex300np:green:wps";
+			gpios = <&gpio1 5 0>;
+		};
+
+		rep {
+			label = "mzk-ex300np:blue:rep";
+			gpios = <&gpio1 4 1>;
+		};
+
+		wifi1 {
+			label = "mzk-ex300np:blue:wifi1";
+			gpios = <&gpio1 1 1>;
+		};
+
+		wifi2 {
+			label = "mzk-ex300np:blue:wifi2";
+			gpios = <&gpio1 2 1>;
+		};
+
+		wifi3 {
+			label = "mzk-ex300np:blue:wifi3";
+			gpios = <&gpio1 0 1>;
+		};
+	};
+
+	gpio-keys-polled {
+		compatible = "gpio-keys-polled";
+		#address-cells = <1>;
+		#size-cells = <0>;
+		poll-interval = <20>;
+
+		reset {
+			label = "reset";
+			gpios = <&gpio0 1 1>;
+			linux,code = <0x198>;
+		};
+
+		wps {
+			label = "wps";
+			gpios = <&gpio1 3 0>;
+			linux,code = <0x211>;
+		};
+	};
+};
diff --git a/target/linux/ramips/image/mt7620.mk b/target/linux/ramips/image/mt7620.mk
index c76e98e..2ff32c4 100644
--- a/target/linux/ramips/image/mt7620.mk
+++ b/target/linux/ramips/image/mt7620.mk
@@ -100,6 +100,7 @@ na930_mtd_size=20971520
 Image/Build/Profile/NA930=$(call BuildFirmware/CustomFlash/$(1),$(1),na930,NA930,$(na930_mtd_size))
 Image/Build/Profile/DB-WRT01=$(call BuildFirmware/Default8M/$(1),$(1),db-wrt01,DB-WRT01)
 Image/Build/Profile/MZK-750DHP=$(call BuildFirmware/Default8M/$(1),$(1),mzk-750dhp,MZK-750DHP)
+Image/Build/Profile/MZK-EX300NP=$(call BuildFirmware/Default8M/$(1),$(1),mzk-ex300np,MZK-EX300NP)
 Image/Build/Profile/HC5661=$(call BuildFirmware/Default16M/$(1),$(1),hc5661,HC5661)
 Image/Build/Profile/HC5761=$(call BuildFirmware/Default16M/$(1),$(1),hc5761,HC5761)
 Image/Build/Profile/HC5861=$(call BuildFirmware/Default16M/$(1),$(1),hc5861,HC5861)
@@ -145,6 +146,7 @@ define Image/Build/Profile/Default
 	$(call Image/Build/Profile/WHR1166D,$(1))
 	$(call Image/Build/Profile/DB-WRT01,$(1))
 	$(call Image/Build/Profile/MZK-750DHP,$(1))
+	$(call Image/Build/Profile/MZK-EX300NP,$(1))
 	$(call Image/Build/Profile/NA930,$(1))
 	$(call Image/Build/Profile/HC5661,$(1))
 	$(call Image/Build/Profile/HC5761,$(1))
diff --git a/target/linux/ramips/mt7620/profiles/planex.mk b/target/linux/ramips/mt7620/profiles/planex.mk
index f6f2cf1..e5ea6ed 100644
--- a/target/linux/ramips/mt7620/profiles/planex.mk
+++ b/target/linux/ramips/mt7620/profiles/planex.mk
@@ -14,3 +14,15 @@ define Profile/MZK-750DHP/Description
 	Package set optimized for the Planex MZK-750DHP.
 endef
 $(eval $(call Profile,MZK-750DHP))
+
+
+define Profile/MZK-EX300NP
+	NAME:=Planex MZK-EX300NP
+	PACKAGES:=
+endef
+
+define Profile/MZK-EX300NP/Description
+	Package set optimized for the Planex MZK-EX300NP.
+endef
+$(eval $(call Profile,MZK-EX300NP))
+